Bug 847953 - Review Request: python-django-countries - Provides a country field for Django models
Review Request: python-django-countries - Provides a country field for Django...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 840360
  Show dependency treegraph
 
Reported: 2012-08-14 03:59 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-09-17 19:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-08-14 03:59:50 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/django-countries/python-django-countries.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/django-countries/python-django-countries-1.2-1.fc17.src.rpm
Description: Django application which provides country choices for use with forms, and a country field for models.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4387537

Fedora Account System Username: bkabrda

Note: this is a rename review request from django-countries - its maintainer doesn't currently have any time, so I took it instead of him.
Comment 2 Matthias Runge 2012-08-14 15:13:01 EDT
taking this for review
Comment 3 Matthias Runge 2012-08-17 15:32:57 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* MIT/X11 (BSD like)" For detailed output of licensecheck
     see file: /home/mrunge/review/847953-python-django-
     countries/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (django-countries-1.2.tar.gz) Source1 (django-
     countries-1.2-test_proj.tgz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-django-countries-1.2-2.fc19.src.rpm
          python-django-countries-1.2-2.fc19.noarch.rpm
python-django-countries.src: W: invalid-url Source1: django-countries-1.2-test_proj.tgz
python-django-countries.noarch: W: unexpanded-macro Provides django-countries = %{version-release} %{version
python-django-countries.noarch: W: self-obsoletion django-countries < 1.0.5-6 obsoletes django-countries = %{version-release}
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-django-countries-1.2-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    python(abi) = 2.7
    python-django  

Provides
--------
python-django-countries-1.2-2.fc19.noarch.rpm:
    
    django-countries = %{version-release}
    python-django-countries = 1.2-2.fc19

MD5-sum check
-------------
http://pypi.python.org/packages/source/d/django-countries/django-countries-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 3278723fc60040c33ecc7d02445ac502eb99b84cdd26433dfae892b95b018361
  CHECKSUM(SHA256) upstream package : 3278723fc60040c33ecc7d02445ac502eb99b84cdd26433dfae892b95b018361


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 847953

one minor:
BuildRequires:  python-devel
should become 
BuildRequires:  python2-devel


I'd try to avoid the dependency to /usr/bin/env:
[mrunge@turing django-countries-1.2]$ grep -r '/usr/bin/env' *
build/lib/django_countries/bin/titlecase.py:#!/usr/bin/env python
build/lib/django_countries/bin/regenerate.py:#!/usr/bin/env python
django_countries/bin/titlecase.py:#!/usr/bin/env python
django_countries/bin/regenerate.py:#!/usr/bin/env python
setup.py:#!/usr/bin/env python
test_proj/manage.py:#!/usr/bin/env python

Hmm, I'd remove these lines in those files using a small sed:
sed -i -e 1d ...

No else issues,

Package approved.
Comment 4 Bohuslav "Slavek" Kabrda 2012-08-20 03:08:19 EDT
You're right about the /usr/bin/env dependencies, I'll handle them before importing. Thanks for the review!


New Package SCM Request
=======================
Package Name: python-django-countries
Short Description: Provides a country field for Django models
Owners: bkabrda
Branches: f18
InitialCC:
Comment 5 Matthias Runge 2012-08-20 03:16:34 EDT
Maybe, it's time for an update? http://pypi.python.org/pypi/django-countries

(version 1.3 was released yesterday)
Comment 6 Bohuslav "Slavek" Kabrda 2012-08-20 03:19:14 EDT
Thanks for the heads up. I'll update before importing.
Comment 7 Gwyn Ciesla 2012-08-20 08:13:28 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-08-20 10:35:51 EDT
python-django-countries-1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-countries-1.3-1.fc18
Comment 9 Fedora Update System 2012-08-20 15:50:52 EDT
python-django-countries-1.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-09-17 19:23:06 EDT
python-django-countries-1.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.